HomePentest-Tools.com Logo

Foswiki MAKETEXT variable Remote Command Execution Vulnerability CVE-2012-6329CVE-2012-6330

Severity
Not available
CVSSv3 Score
Not available
Vulnerability description

foswiki is prone to a remote command execution (RCE) vulnerability.

Risk description

flaw is due to improper validation of %MAKETEXT{}% foswiki macro (UserInterfaceInternationalisation is enabled) which is used to localize user interface content to a language of choice. Successful exploitation could allow attackers to execute shell commands by Perl backtick (``) operators.

Recommendation

Upgrade to Foswiki version 1.1.7 or later or apply the patch from the referenced vendor advisories.

Codename
Not available
Detectable with
Network Scanner
Scan engine
OpenVAS
Exploitable with Sniper
No
CVE Published
Jan 4, 2013
Detection added at
Software Type
Not available
Vendor
Not available
Product
Not available